use dioxus::prelude::*;
use crate::components::footer_button::*;

#[component]
pub fn FooterCard() -> Element {
    rsx! {
        footer { class: "p-4 space-y-2 rounded-lg ring-2 ring-alice-werefox-grey dark:ring-alice-werefox-grey-darker bg-alice-werefox-grey-lightest dark:bg-alice-werefox-grey-dark",
            div { class: "flex text-alice-werefox-red-darker dark:text-alice-werefox-red-light",
                div { class: "flex-1" }
                FooterButton { url: "https://werefox.cafe/", inner_text: "Contact" }
                FooterButton { url: "https://gitea.werefox.cafe/ada/info-werefox-cafe", inner_text: " /src" }
                div { class: "flex-1" }
            }
            div { class: "text-xs text-center text-alice-werefox-grey-darkest dark:text-alice-werefox-grey-lightest",
                "This site uses"
                div { class: "inline-block pt-1 pb-1",
                    FooterButton { url: "https://mutant.tech", inner_text: "Mutant Standard emoji" }
                }
                ", which are licensed under a"
                div { class: "inline-block pt-1 pb-1",
                    FooterButton {
                        url: "https://creativecommons.org/licenses/by-nc-sa/4.0/",
                        inner_text: "Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License"
                    }
                }
            }
        }
    }
}